## org.hibernate.envers.entities.mapper.id
Interface SimpleIdMapperBuilder

All Superinterfaces:
  IdMapper, SimpleMapperBuilder

All Known Implementing Classes:
  AbstractCompositeIdMapper, EmbeddedIdMapper, MultipleIdMapper, SingleIdMapper

    public interface SimpleIdMapperBuilder

extends IdMapper, SimpleMapperBuilder

Method Summary

Methods inherited from interface org.hibernate.envers.entities.mapper.id.IdMapper
`addIdEqualsToQuery, addIdsEqualToQuery, addIdsEqualToQuery, addNamedIdEqualsToQuery, mapToEntityFromMap, mapToIdFromEntity, mapToIdFromMap, mapToMapFromEntity, mapToMapFromId, mapToQueryParametersFromId, prefixMappedProperties`

Methods inherited from interface org.hibernate.envers.entities.mapper.SimpleMapperBuilder
`add`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.